Subject: Re: How to pull remote branch with specified commit id?

From: Johannes Sixt <[email-masked]>
Date: Wed, 14 Jan 2009 08:01:24 +0100

Brad King schrieb:
> Johannes Sixt wrote:
>> Consider this: You accidentally push a branch with confidential data to a
>> public repository. You notice it early, and quickly delete the branch
>> using 'git push the-repo :refs/heads/that-branch'. At this time the
>> objects with the confidential data are still lingering in the public
>> repository. But with the current behavior noone can access them even if
>> the SHA1 happens to be known.
> 
> Might a repack (perhaps an automatic one) put the object in a pack
> (perhaps in a delta chain) that can be fetched through another ref?

No, assuming that-branch was the only ref that contained the objects.

Even if the repack happens before the branch is deleted, the objects that
were *only* in that-branch will not be sent out.

-- Hannes